> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-support-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete an object from the storage zone. In case the object is a directory all the data in it will be recursively deleted as well.



## OpenAPI

````yaml /api-reference/storage/openapi.json delete /{storageZoneName}/{path}/{fileName}
openapi: 3.0.0
info:
  version: 1.0.0
  title: bunny.net Edge Storage API
  description: >
    ![bunny.net Logo](https://bunny.net/v2/images/bunnynet-logo-dark.png
    "bunny.net Logo")


    Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content
    delivery platform that truly hops") Edge Storage API. It allows you to
    easily upload, download and delete files with just a few lines of code.

    <h2>API libraries:</h2> 

    These libraries allow quick integration for bunny.net Edge Storage.


    <ul>
      <li><a rel="nofollow" href="https://github.com/BunnyWay/BunnyCDN.PHP.Storage">BunnyCDN.PHP.Storage</a> - Official PHP storage library</li>
      <li><a rel="nofollow" href="https://github.com/BunnyWay/BunnyCDN.Net.Storage">BunnyCDN.Net.Storage</a> - Official .NET storage library</li>
      <li><a rel="nofollow" href="https://github.com/BunnyWay/BunnyCDN.Java.Storage">BunnyCDN.Java.Storage</a> - Official Java storage library</li>
      
      <li><a rel="nofollow" href="https://github.com/NiveditJain/BunnyCDNStorageLib">Python Storage Library</a> - (Unofficial)</li>
    </ul>


    <h2>Storage Endpoints:</h2> 


    The storage API endpoint depends on the primary storage region of your
    storage zone. You can also find this in the FTP & HTTP API Information of
    your storage zone.

    <ul>
      <li><strong>Falkenstein</strong>: storage.bunnycdn.com</li>
      <li><strong>New York</strong>: la.storage.bunnycdn.com</li>
      <li><strong>Los Angeles</strong>: la.storage.bunnycdn.com</li>
      <li><strong>Singapore</strong>: sg.storage.bunnycdn.com</li>
      <li><strong>Sydney</strong>: syd.storage.bunnycdn.com</li>
    </ul>
  termsOfService: http://swagger.io/terms/
  contact:
    name: bunny.net API Team
    email: support@bunny.net
    url: http://bunny.net
  license:
    name: MIT
    url: http://github.com/gruntjs/grunt/blob/master/LICENSE-MIT
servers:
  - url: https://storage.bunnycdn.com/
security:
  - AccessKeyAuthentication: []
paths:
  /{storageZoneName}/{path}/{fileName}:
    delete:
      tags:
        - Manage Files
      summary: Delete File
      description: >-
        Delete an object from the storage zone. In case the object is a
        directory all the data in it will be recursively deleted as well.
      parameters:
        - name: storageZoneName
          in: path
          description: The name of your storage zone where you are connecting to.
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: >-
            The directory path to your file. If this is the root of your storage
            zone, you can ignore this parameter.
          required: true
          schema:
            type: string
        - name: fileName
          in: path
          description: The name of the file that you wish to delete.
          required: true
          schema:
            type: string
        - name: AccessKey
          in: header
          required: true
          description: The API AccessKey used for authentication.
          schema:
            type: string
        - name: allowRootDelete
          in: query
          required: false
          description: >-
            Set to `true` to bypass the root directory deletion guard and delete
            the storage zone root (`/`).
          schema:
            type: string
            enum:
              - 'true'
        - name: allowRootDelete
          in: header
          required: false
          description: >-
            Set to `true` to bypass the root directory deletion guard and delete
            the storage zone root.
          schema:
            type: string
            enum:
              - 'true'
      responses:
        '200':
          description: Object was successfully deleted
        '400':
          description: Object delete failed
components:
  securitySchemes:
    AccessKeyAuthentication:
      type: apiKey
      in: header
      name: AccessKey
      description: >-
        The storage zone password also doubles as your API key. You can find it
        in your storage zone details page in the bunny.net dashboard.

````